Skip to main content
GET
JavaScript

Authorizations

Authorization
string
header
required

An Account API key, account-scoped JWT, App API key, or user OAuth token. Prepend the key or token with Bearer, for example Bearer ***************************.

Query Parameters

after
string

Returns the elements in the list that come after the specified cursor.

before
string

Returns the elements in the list that come before the specified cursor.

first
integer

Returns the first n elements from the list.

Example:

42

last
integer

Returns the last n elements from the list.

Example:

42

company_id
string

The unique identifier of the company to list members for.

Example:

"biz_xxxxxxxxxxxxxx"

direction
enum<string>

The sort direction for results. Defaults to descending.

Available options:
asc,
desc
order
enum<string>

The column to sort members by, such as creation date or revenue.

Available options:
id,
usd_total_spent,
created_at,
joined_at,
most_recent_action
created_before
string<date-time>

Only return members created before this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

created_after
string<date-time>

Only return members created after this timestamp.

Example:

"2023-12-01T05:00:00.401Z"

access_level
enum<string>

Filter members by their current access level to the product.

Available options:
no_access,
admin,
customer
product_ids
string[]

Filter members to only those belonging to these specific products.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

plan_ids
string[]

Filter members to only those subscribed to these specific plans.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

user_ids
string[]

Filter members to only those matching these specific user identifiers.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

statuses
enum<string>[]

Filter members by their current subscription status.

The different statuses a Member can have.

Available options:
drafted,
joined,
left
promo_code_ids
string[]

Filter members to only those who used these specific promo codes.

Represents a unique identifier that is Base64 obfuscated. It is often used to refetch an object or as key for a cache. The ID type appears in a JSON response as a String; however, it is not intended to be human-readable. When expected as an input type, any string (such as "VXNlci0xMA==") or integer (such as 4) input value will be accepted as an ID.

most_recent_actions
enum<string>[]

Filter members by their most recent activity type.

The different most recent actions a member can have.

Available options:
canceling,
churned,
finished_split_pay,
paused,
paid_subscriber,
paid_once,
expiring,
joined,
drafted,
left,
trialing,
pending_entry,
renewing,
past_due
query
string

Search members by name, username, or email. Email filtering requires the member:email:read permission.

Response

A successful response

The connection type for CompanyMember.

data
object[]
required

A list of nodes.

page_info
object
required

Information to aid in pagination.